STROBJCVN CPDB0C1 Objects in library QMQM cannot be converted

Technote (troubleshooting)


Problem(Abstract)

You run STROBJCVN OPTION(*CONVERT) LIB(QMQM) OBJTYPE(*ALL) and find objects that cannot be converted.

Symptom

STROBJCVN OPTION(*CONVERT) LIB(QMQM) OBJTYPE(*ALL) results in the following joblog entries:
CPDB0C1 Message : Object AMQIMGRX type *PGM in library QMQM cannot be converted.

CPDB0C1 Message : Object AMQOUDSX type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQOWLSR type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQRMCHA type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQRMSYA type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQSPEC4 type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQXDEST type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQXLIST type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object DSPMQCAP type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object MIGRATEMQM type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object SETMQCAP type *PGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQSWLM type *SRVPGM in library QMQM cannot be converted.
CPDB0C1 Message : Object AMQZIF type *SRVPGM in library QMQM cannot be converted.
CPIA975 Message : x of y objects in library QMQM converted.
CPFB0E2 Message : Not all objects were converted.
Cause . . . . . : Start Object Conversion(STROBJCVN) OPTION(*CONVERT) could not finish
successfully. 13 objects were not converted.



Cause

Obsolete objects from a previous install of MQ V5.3 were not removed during migration to WebSphere MQ V6 or later.

Environment

iSeries

Diagnosing the problem

A DSPOBJD OBJ(QMQM/*ALL) OBJTYPE(*ALL) DETAIL(*SERVICE) OUTPUT(*PRINT) shows the licensed program as 5724B41. These objects are from a previous V5.3 installation of MQ, and are no longer required for MQ V6 or later.
Similarly, objects in library QMQM showing Licensed programs as 5733A38 (V5.2 or V5.1) or 5769MQ200 (V4.2.1). are also obsolete.

Resolving the problem

When running MQ V6 or V7, you can delete these objects from QMQM.


Installation details for MQ V6 and V7

Details for WebSphere MQ V6 installation on IBM i 6.1
http://www.ibm.com/support/docview.wss?rs=171&uid=swg21316815

Details for WebSphere MQ V7 installation on IBM i 6.1
http://www.ibm.com/support/docview.wss?rs=171&uid=swg21370280


Product Alias/Synonym

MQSeries MQM

Rate this page:

(0 users)Average rating

Document information


More support for:

WebSphere MQ
Install / Migration

Software version:

6.0, 7.0

Operating system(s):

i5/OS

Reference #:

1403484

Modified date:

2010-01-20

Translate my page

Machine Translation

Content navigation